Bug 225602 - devel/govendor: Update to 1.0.9
Summary: devel/govendor: Update to 1.0.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://github.com/kardianos/govendor...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-02-01 13:28 UTC by Dmitri Goutnik
Modified: 2018-02-15 09:07 UTC (History)
2 users (show)

See Also:
rwestlun: maintainer-feedback+


Attachments
patch file (910 bytes, patch)
2018-02-01 13:28 UTC, Dmitri Goutnik
no flags Details | Diff
patch file (2.31 KB, patch)
2018-02-08 22:37 UTC, Dmitri Goutnik
dmgk: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2018-02-01 13:28:14 UTC
Created attachment 190242 [details]
patch file

* Update to 1.0.9

Changes: https://github.com/kardianos/govendor/compare/v1.0.8...v1.0.9

QA:
  poudriere testport: OK (11a, 10i)
Comment 1 Yuri Victorovich freebsd_committer 2018-02-01 20:48:20 UTC
Fails on 10 i386:
> # github.com/kardianos/govendor/vendor/github.com/Bowery/prompt
> vendor/github.com/Bowery/prompt/ioctl_unix.go:50:6: constant 2150396948 overflows int
> vendor/github.com/Bowery/prompt/ioctl_unix.go:52:7: constant 2150396950 overflows int
> github.com/kardianos/govendor/migrate
> github.com/kardianos/govendor/help
> *** Error code 2
Comment 2 Yuri Victorovich freebsd_committer 2018-02-01 20:49:50 UTC
https://github.com/kardianos/govendor/issues/386
Comment 3 Dmitri Goutnik freebsd_committer 2018-02-01 21:38:28 UTC
Which FreeBSD version? Builds fine for me on 10.4-RELEASE-p5 i386.
Comment 4 Yuri Victorovich freebsd_committer 2018-02-01 21:42:34 UTC
(In reply to Dmitri Goutnik from comment #3)

10.3-RELEASE-p26
Comment 5 Yuri Victorovich freebsd_committer 2018-02-01 21:43:32 UTC
(In reply to Yuri Victorovich from comment #4)

Hmm, maybe it's just too old?
Comment 6 Dmitri Goutnik freebsd_committer 2018-02-08 22:37:32 UTC
Created attachment 190449 [details]
patch file

Upstream fixed i386 build issue (thanks yuri@), https://github.com/Bowery/prompt/commit/eb8f7a6a197ce971ed0e9d4a739c628381d5f124
Comment 7 Yuri Victorovich freebsd_committer 2018-02-08 22:45:47 UTC
(In reply to Dmitri Goutnik from comment #6)

Thanks!
I will try it tonight.

Yuri
Comment 8 Yuri Victorovich freebsd_committer 2018-02-09 06:54:08 UTC
It build fine now, thanks Dmitri!
Now we need to wait for maintainer's approval until Feb 15.
Comment 9 Randy Westlund 2018-02-09 16:54:29 UTC
It looks like govendor hasn't updated their vendored version of prompt yet. How is it all of a sudden working now?
Comment 10 Randy Westlund 2018-02-09 16:56:48 UTC
Oh nevermind, I see the updated patch now. I approve.
Comment 11 Yuri Victorovich freebsd_committer 2018-02-09 19:01:25 UTC
Pending the upstream version update: https://github.com/kardianos/govendor/issues/386#issuecomment-364526415
Comment 12 Yuri Victorovich freebsd_committer 2018-02-15 09:06:52 UTC
Committed with changes.
Thank you for the patch.
Comment 13 commit-hook freebsd_committer 2018-02-15 09:07:09 UTC
A commit references this bug:

Author: yuri
Date: Thu Feb 15 09:06:14 UTC 2018
New revision: 461871
URL: https://svnweb.freebsd.org/changeset/ports/461871

Log:
  devel/govendor: Update to 1.0.9-6

  Additional port changes:
  * Changed to DISTVERSION

  PR:		225602
  Submitted by:	Dmitri Goutnik <dg@syrec.org>
  Approved by:	rwestlun@gmail.com (maintainer), tcberner (mentor, implicit)

Changes:
  head/devel/govendor/Makefile
  head/devel/govendor/distinfo